Automations - Get
擷取安全性自動化模型的相關信息。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Security/automations/{automationName}?api-version=2023-12-01-preview
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
automation
|
path | True |
string |
安全性自動化名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
用戶訂用帳戶內的資源組名。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
Azure 訂用帳戶標識碼 |
|
api-version
|
query | True |
string |
作業的 API 版本 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行 |
|
| Other Status Codes |
描述作業失敗原因的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Retrieve a security automation
範例要求
GET https://management.azure.com/subscriptions/a5caac9c-5c04-49af-b3d0-e204f40345d5/resourceGroups/exampleResourceGroup/providers/Microsoft.Security/automations/exampleAutomation?api-version=2023-12-01-preview
範例回覆
{
"id": "/subscriptions/a5caac9c-5c04-49af-b3d0-e204f40345d5/resourceGroups/exampleResourceGroup/providers/Microsoft.Security/automations/exampleAutomation",
"name": "exampleAutomation",
"type": "Microsoft.Security/automations",
"etag": "etag value",
"location": "Central US",
"tags": {},
"properties": {
"description": "An example of a security automation that triggers one LogicApp resource (myTest1) on any security assessment of type customAssessment",
"isEnabled": true,
"scopes": [
{
"description": "A description that helps to identify this scope - for example: security assessments that relate to the resource group myResourceGroup within the subscription a5caac9c-5c04-49af-b3d0-e204f40345d5",
"scopePath": "/subscriptions/a5caac9c-5c04-49af-b3d0-e204f40345d5/resourceGroups/myResourceGroup"
}
],
"sources": [
{
"eventSource": "Assessments",
"ruleSets": [
{
"rules": [
{
"propertyJPath": "$.Entity.AssessmentType",
"propertyType": "String",
"expectedValue": "customAssessment",
"operator": "Equals"
}
]
}
]
}
],
"actions": [
{
"logicAppResourceId": "/subscriptions/e54a4a18-5b94-4f90-9471-bd3decad8a2e/resourceGroups/sample/providers/Microsoft.Logic/workflows/MyTest1",
"actionType": "LogicApp"
}
]
}
}
定義
| 名稱 | Description |
|---|---|
| Automation |
安全性自動化資源。 |
|
Automation |
將匯出事件數據的目標事件中樞。 若要深入瞭解適用於雲端的Defender持續匯出功能Microsoft,請流覽 https://aka.ms/ASCExportLearnMore |
|
Automation |
應該觸發的邏輯應用程式動作。 若要深入瞭解適用於雲端的Defender工作流程自動化功能Microsoft,請流覽 https://aka.ms/ASCWorkflowAutomationLearnMore |
|
Automation |
將匯出事件數據的Log Analytics工作區。 安全性警示數據會位於 『SecurityAlert』 資料表中,而評量數據會位於 『SecurityRecommendation』 資料表中(在 'Security'/'SecurityCenterFree' 解決方案下)。 請注意,若要檢視工作區中的數據,必須在該工作區上啟用資訊安全中心 Log Analytics 免費/標準解決方案。 若要深入瞭解適用於雲端的Defender持續匯出功能Microsoft,請流覽 https://aka.ms/ASCExportLearnMore |
|
Automation |
在事件攔截時評估其所有規則的規則集。 只有當規則集中的所有包含規則都會評估為 『true』時,事件才會觸發已定義的動作。 |
|
Automation |
單一自動化範圍。 |
|
Automation |
評估規則安全性自動化集合的來源事件類型。 例如 - 安全性警示和安全性評定。 若要深入瞭解支援的安全性事件資料模型架構 - 請瀏覽 https://aka.ms/ASCAutomationSchemas。 |
|
Automation |
在事件攔截時評估的規則。 規則是藉由將事件模型的特定值與預期的值進行比較來設定。 這項比較是使用其中一個支援的運算符集來完成。 |
|
Cloud |
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。 |
|
Cloud |
錯誤詳細數據。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Event |
有效的事件來源類型。 |
| Operator |
要使用的有效比較子運算符。 字串 PropertyType 將套用不區分大小寫的比較。 |
|
Property |
比較操作數的數據類型(字串、整數、浮點數或布爾值 [true/false]] |
Automation
安全性自動化資源。
| 名稱 | 類型 | Description |
|---|---|---|
| etag |
string |
實體標籤用於比較來自相同要求資源的兩個或多個實體。 |
| id |
string |
資源標識碼 |
| kind |
string |
資源的種類 |
| location |
string |
儲存資源的位置 |
| name |
string |
資源名稱 |
| properties.actions | AutomationAction[]: |
如果所有已設定的規則評估至少在一個規則集中,就會觸發的動作集合為 true。 |
| properties.description |
string |
安全性自動化描述。 |
| properties.isEnabled |
boolean |
指出是否啟用安全性自動化。 |
| properties.scopes |
套用安全性自動化邏輯的範圍集合。 支援的範圍是訂用帳戶本身或該訂用帳戶下的資源群組。 自動化只會套用至定義的範圍。 |
|
| properties.sources |
評估規則安全性自動化集之來源事件類型的集合。 |
|
| tags |
object |
描述資源的索引鍵值組清單。 |
| type |
string |
資源類型 |
AutomationActionEventHub
將匯出事件數據的目標事件中樞。 若要深入瞭解適用於雲端的Defender持續匯出功能Microsoft,請流覽 https://aka.ms/ASCExportLearnMore
| 名稱 | 類型 | Description |
|---|---|---|
| actionType |
string:
Event |
自動化將觸發的動作類型 |
| connectionString |
string |
目標事件中樞連接字串(不會包含在任何回應中)。 |
| eventHubResourceId |
string |
目標事件中樞 Azure 資源識別碼。 |
| isTrustedServiceEnabled |
boolean |
指出是否啟用信任的服務。 |
| sasPolicyName |
string |
目標事件中樞 SAS 原則名稱。 |
AutomationActionLogicApp
應該觸發的邏輯應用程式動作。 若要深入瞭解適用於雲端的Defender工作流程自動化功能Microsoft,請流覽 https://aka.ms/ASCWorkflowAutomationLearnMore
| 名稱 | 類型 | Description |
|---|---|---|
| actionType |
string:
Logic |
自動化將觸發的動作類型 |
| logicAppResourceId |
string |
觸發的邏輯應用程式 Azure 資源識別碼。 這也可以位於其他訂用帳戶上,因為您有權觸發邏輯應用程式 |
| uri |
string (uri) |
邏輯應用程式觸發 URI 端點(不會包含在任何回應中)。 |
AutomationActionWorkspace
將匯出事件數據的Log Analytics工作區。 安全性警示數據會位於 『SecurityAlert』 資料表中,而評量數據會位於 『SecurityRecommendation』 資料表中(在 'Security'/'SecurityCenterFree' 解決方案下)。 請注意,若要檢視工作區中的數據,必須在該工作區上啟用資訊安全中心 Log Analytics 免費/標準解決方案。 若要深入瞭解適用於雲端的Defender持續匯出功能Microsoft,請流覽 https://aka.ms/ASCExportLearnMore
| 名稱 | 類型 | Description |
|---|---|---|
| actionType |
string:
Workspace |
自動化將觸發的動作類型 |
| workspaceResourceId |
string |
完整 Log Analytics 工作區 Azure 資源識別碼。 |
AutomationRuleSet
在事件攔截時評估其所有規則的規則集。 只有當規則集中的所有包含規則都會評估為 『true』時,事件才會觸發已定義的動作。
| 名稱 | 類型 | Description |
|---|---|---|
| rules |
在事件攔截時評估的規則。 規則是藉由將事件模型的特定值與預期的值進行比較來設定。 這項比較是使用其中一個支援的運算符集來完成。 |
AutomationScope
單一自動化範圍。
| 名稱 | 類型 | Description |
|---|---|---|
| description |
string |
資源範圍描述。 |
| scopePath |
string |
資源範圍路徑。 可以是在上定義自動化的訂用帳戶,或是該訂用帳戶下的資源群組(完整 Azure 資源識別符)。 |
AutomationSource
評估規則安全性自動化集合的來源事件類型。 例如 - 安全性警示和安全性評定。 若要深入瞭解支援的安全性事件資料模型架構 - 請瀏覽 https://aka.ms/ASCAutomationSchemas。
| 名稱 | 類型 | Description |
|---|---|---|
| eventSource |
有效的事件來源類型。 |
|
| ruleSets |
一組規則,會在事件攔截時進行評估。 定義的規則集之間會套用邏輯分離(邏輯 』or')。 |
AutomationTriggeringRule
在事件攔截時評估的規則。 規則是藉由將事件模型的特定值與預期的值進行比較來設定。 這項比較是使用其中一個支援的運算符集來完成。
| 名稱 | 類型 | Description |
|---|---|---|
| expectedValue |
string |
預期的值。 |
| operator |
要使用的有效比較子運算符。 字串 PropertyType 將套用不區分大小寫的比較。 |
|
| propertyJPath |
string |
應檢查之實體模型屬性的 JPath。 |
| propertyType |
比較操作數的數據類型(字串、整數、浮點數或布爾值 [true/false]] |
CloudError
所有 Azure Resource Manager API 的常見錯誤回應,以傳回失敗作業的錯誤詳細數據。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error.additionalInfo |
錯誤其他資訊。 |
|
| error.code |
string |
錯誤碼。 |
| error.details |
錯誤詳細數據。 |
|
| error.message |
string |
錯誤訊息。 |
| error.target |
string |
錯誤目標。 |
CloudErrorBody
錯誤詳細數據。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳細數據。 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
EventSource
有效的事件來源類型。
| 值 | Description |
|---|---|
| Assessments | |
| AssessmentsSnapshot | |
| SubAssessments | |
| SubAssessmentsSnapshot | |
| Alerts | |
| SecureScores | |
| SecureScoresSnapshot | |
| SecureScoreControls | |
| SecureScoreControlsSnapshot | |
| RegulatoryComplianceAssessment | |
| RegulatoryComplianceAssessmentSnapshot | |
| AttackPaths | |
| AttackPathsSnapshot |
Operator
要使用的有效比較子運算符。 字串 PropertyType 將套用不區分大小寫的比較。
| 值 | Description |
|---|---|
| Equals |
適用於十進位和非十進位操作數 |
| GreaterThan |
僅適用於小數操作數 |
| GreaterThanOrEqualTo |
僅適用於小數操作數 |
| LesserThan |
僅適用於小數操作數 |
| LesserThanOrEqualTo |
僅適用於小數操作數 |
| NotEquals |
適用於十進位和非十進位操作數 |
| Contains |
僅適用於非十進位操作數 |
| StartsWith |
僅適用於非十進位操作數 |
| EndsWith |
僅適用於非十進位操作數 |
PropertyType
比較操作數的數據類型(字串、整數、浮點數或布爾值 [true/false]]
| 值 | Description |
|---|---|
| String | |
| Integer | |
| Number | |
| Boolean |